Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZTodo Class Reference

## Public Member Functions
| __construct ( $id=-1)
| eZTodo More...
| store ()
| delete ()
| get ( $id)
| getByOthers ( $id)
| name ()
| getByLimit ( $id, $limit=5, $status=0, $except=0)
| setName ( $value)
| description ()
| setDescription ( $value)
| categoryID ()
| setCategoryID ( $value)
| priorityID ()
| setPriorityID ( $value)
| statusID ()
| setStatusID ( $value)
| due ()
| setDue ( $value)
| date ()
| setDate ( $value)
| userID ()
| setUserID ( $value)
| ownerID ()
| setOwnerID ( $value)
| status ()
| setStatus ( $value)
| isPublic ()
| setIsPublic ( $value)
| logs ()
| addLog (&$value)
| id ()

## Static Public Member Functions
static | getAll ()
static | getByUserID ( $id, $statusID=0, $categoryID=0)
static & | getByDate ( $user, $date)

## Public Attributes
| $OwnerID
| $UserID
| $IsPublic
| $Description
| $Due
| $Date
| $Name
| $CategoryID
| $PriorityID
| $ID
| $Status
| $Category
| $Priority

## Detailed Description

! eZTodo The eZTodo handles the todo informasjon.

Handles the todo informasjon stored in the database.

Definition at line 38 of file eztodo.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTodo::__construct | ( |  | $id = `-1` | ) |

eZTodo

eZtodo Constructor.

Definition at line 44 of file eztodo.php.

References $id, and $ID.

## Member Function Documentation

## ◆ addLog()

eZTodo::addLog | ( | & | $value | ) |

Adds an log to the todo.

Definition at line 542 of file eztodo.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ categoryID()

eZTodo::categoryID | ( |  | ) |

Tilte of the category. Returns the category of the todo as a string.

Definition at line 346 of file eztodo.php.

References $Category.

## ◆ date()

eZTodo::date | ( |  | ) |

Date of the todo. Returns the due of the todo as a string.

Definition at line 423 of file eztodo.php.

References $dateTime.

## ◆ delete()

eZTodo::delete | ( |  | ) |

Deletes the todo object in the database.

Definition at line 121 of file eztodo.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZTodo::description | ( |  | ) |

Description of the todo. Returns the description of the todo as a string.

Definition at line 328 of file eztodo.php.

## ◆ due()

eZTodo::due | ( |  | ) |

Due of the todo. Returns the due of the todo as a string.

Definition at line 400 of file eztodo.php.

References $dateTime.

## ◆ get()

eZTodo::get | ( |  | $id | ) |

Gets the todo object from the database, where ID == $id

Definition at line 134 of file eztodo.php.

References $db, $id, $ret, $todo_array, eZDB\globalDatabase(), and Name.

## ◆ getAll()

static eZTodo::getAll | ( |  | ) |
| static

Gets all the todo informasjon from the database. Returns the array in $todo_array ordered by name.

Definition at line 171 of file eztodo.php.

References $db, $i, $todo_array, and eZDB\globalDatabase().

## ◆ getByDate()

static& eZTodo::getByDate | ( |  | $user,
|  |  | $date
| ) |  |
| static

Gets all todos for one spesific date

Definition at line 289 of file eztodo.php.

References $currentUser, $date, $db, $i, $todo_array, $user, eZUser\currentUser(), and eZDB\globalDatabase().

## ◆ getByLimit()

eZTodo::getByLimit | ( |  | $id,
|  |  | $limit = `5`,
|  |  | $status = `0`,
|  |  | $except = `0`
| ) |  |

Gets all the todo infomasjon from a owner, where ID == $id. Return the array in $todo_array ordered by name.

Definition at line 260 of file eztodo.php.

References $db, $i, $limit, $todo_array, and eZDB\globalDatabase().

## ◆ getByOthers()

eZTodo::getByOthers | ( |  | $id | ) |

Gets all the todo infomasjon from a owner, where ID == $id. Return the array in $todo_array ordered by name.

Definition at line 229 of file eztodo.php.

References $db, $i, $todo_array, and eZDB\globalDatabase().

## ◆ getByUserID()

static eZTodo::getByUserID | ( |  | $id,
|  |  | $statusID = `0`,
|  |  | $categoryID = `0`
| ) |  |
| static

Gets all the todo infomasjon from a owner, where ID == $id. Return the array in $todo_array ordered by name.

Definition at line 193 of file eztodo.php.

References $categoryID, $db, $i, $showCategory, $todo_array, and eZDB\globalDatabase().

## ◆ id()

eZTodo::id | ( |  | ) |

Id of the todo. Returns the id of the todo as an int.

Definition at line 563 of file eztodo.php.

References $ID.

## ◆ isPublic()

eZTodo::isPublic | ( |  | ) |

Permission of the todo. Returns the permission of the todo as a string.

Definition at line 497 of file eztodo.php.

## ◆ logs()

eZTodo::logs | ( |  | ) |

Returns the logs over this todo.

The logs is returned as array of eZTodoLog objects.

Definition at line 522 of file eztodo.php.

References $db, and eZDB\globalDatabase().

## ◆ name()

eZTodo::name | ( |  | ) |

Tilte of the todo. Returns the name of the todo as a string.

Definition at line 250 of file eztodo.php.

References Name.

## ◆ ownerID()

eZTodo::ownerID | ( |  | ) |

OwnerID of the todo.

Definition at line 460 of file eztodo.php.

References $OwnerID.

## ◆ priorityID()

eZTodo::priorityID | ( |  | ) |

Priority of the todo. Returns the priority of the todo as a string.

Definition at line 364 of file eztodo.php.

References $Priority.

## ◆ setCategoryID()

eZTodo::setCategoryID | ( |  | $value | ) |

Sets the category of the todo. The new category of the todo is passed as a paramenter ( $value ).

Definition at line 355 of file eztodo.php.

## ◆ setDate()

eZTodo::setDate | ( |  | $value | ) |

Sets the date of the todo. The new date of the todo is passed as a paramenter ( $value ).

Definition at line 435 of file eztodo.php.

## ◆ setDescription()

eZTodo::setDescription | ( |  | $value | ) |

Sets the description of the todo. The new description of the todo is passed as a paramenter ( $value ).

Definition at line 337 of file eztodo.php.

## ◆ setDue()

eZTodo::setDue | ( |  | $value | ) |

Sets the due of the todo. The new due of the todo is passed as a paramenter ( $value ).

Definition at line 414 of file eztodo.php.

## ◆ setIsPublic()

eZTodo::setIsPublic | ( |  | $value | ) |

Sets the permission of the todo. The new permission of the todo is passed as a paramenter ( $value ).

Definition at line 509 of file eztodo.php.

## ◆ setName()

eZTodo::setName | ( |  | $value | ) |

Sets the name of the todo. The new name of the todo is passed as a paramenter ( $value ).

Definition at line 319 of file eztodo.php.

References Name.

## ◆ setOwnerID()

eZTodo::setOwnerID | ( |  | $value | ) |

Sets the owner of the todo. The new owner of the todo is passed as a paramenter ( $value ).

Definition at line 469 of file eztodo.php.

## ◆ setPriorityID()

eZTodo::setPriorityID | ( |  | $value | ) |

Sets the priority of the todo. The new priority of the todo is passed as a paramenter ( $value ).

Definition at line 373 of file eztodo.php.

## ◆ setStatus()

eZTodo::setStatus | ( |  | $value | ) |

Sets the status of the todo. The new status of the todo is passed as a paramenter ( $value ).

Definition at line 487 of file eztodo.php.

## ◆ setStatusID()

eZTodo::setStatusID | ( |  | $value | ) |

Sets the status of the todo. The new status of the todo is passed as a paramenter ( $value ).

Definition at line 391 of file eztodo.php.

## ◆ setUserID()

eZTodo::setUserID | ( |  | $value | ) |

Sets the user of the todo. The new user of the todo is passed as a paramenter ( $value ).

Definition at line 452 of file eztodo.php.

## ◆ status()

eZTodo::status | ( |  | ) |

Status of the todo. Returns the status of the todo as a string.

Definition at line 478 of file eztodo.php.

References $Status.

## ◆ statusID()

eZTodo::statusID | ( |  | ) |

Tilte of the status. Returns the status of the todo as a string.

Definition at line 382 of file eztodo.php.

References $Status.

## ◆ store()

eZTodo::store | ( |  | ) |

Stores the todo object to the database. Returnes the ID to the eZCompany object if the store is a success.

Definition at line 57 of file eztodo.php.

References $db, $due, $name, $res, $timestamp, eZDB\finish(), eZDB\globalDatabase(), and Name.

## ◆ userID()

eZTodo::userID | ( |  | ) |

UserID of the todo.

Definition at line 443 of file eztodo.php.

References $UserID.

## Member Data Documentation

## ◆ $Category

eZTodo::$Category

Definition at line 579 of file eztodo.php.

Referenced by categoryID().

## ◆ $CategoryID

eZTodo::$CategoryID

Definition at line 575 of file eztodo.php.

## ◆ $Date

eZTodo::$Date

Definition at line 573 of file eztodo.php.

## ◆ $Description

eZTodo::$Description

Definition at line 571 of file eztodo.php.

## ◆ $Due

eZTodo::$Due

Definition at line 572 of file eztodo.php.

## ◆ $ID

eZTodo::$ID

Definition at line 577 of file eztodo.php.

Referenced by __construct(), and id().

## ◆ $IsPublic

eZTodo::$IsPublic

Definition at line 570 of file eztodo.php.

## ◆ $Name

eZTodo::$Name

Definition at line 574 of file eztodo.php.

## ◆ $OwnerID

eZTodo::$OwnerID

Definition at line 568 of file eztodo.php.

Referenced by ownerID().

## ◆ $Priority

eZTodo::$Priority

Definition at line 580 of file eztodo.php.

Referenced by priorityID().

## ◆ $PriorityID

eZTodo::$PriorityID

Definition at line 576 of file eztodo.php.

## ◆ $Status

eZTodo::$Status

Definition at line 578 of file eztodo.php.

Referenced by status(), and statusID().

## ◆ $UserID

eZTodo::$UserID

Definition at line 569 of file eztodo.php.

Referenced by userID().

The documentation for this class was generated from the following file:

- eztodo.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.